.c-banner-promo {
  padding: var(--blocks-padding) 0;
  background-color: var(--banner-promo-bg);
  color: var(--banner-promo);
  overflow: hidden;
  background-repeat: no-repeat;
  background-size: cover;
}

.c-banner-promo__inner {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3rem;
  text-align: center;
  max-width: min(79rem, 61%);
  margin: 0 auto;
  position: relative;
}

.c-banner-promo__suptitle {
  font-weight: 700;
  color: var(--banner-promo);

  @media (min-width: 1024px) {
    font-size: 2.4rem;
    line-height: 2.9rem;
  }

  @media (max-width: 1023px) {
    font-size: 2rem;
    line-height: 2.4rem;
  }
}

.c-banner-promo__title-wrapper {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;
  position: relative;

  svg path {
    fill: var(--banner-promo-svg);
  }
}

.c-banner-promo__title {
  font-weight: 700;
  line-height: normal;
  position: relative;

  &::before {
    content: '';
    mask-image: url('../../assets/images/title-deco.svg');
    mask-repeat: no-repeat;
    mask-size: 100% 100%;
    background-color: var(--promo-banner-svg);
    display: block;
    margin: 0 auto 2rem;

    @media (min-width: 1024px) {
      width: 85px;
      height: 50px;
    }

    @media (max-width: 1023px) {
      width: 56px;
      height: 53px;
    }
  }

  @media (min-width: 1024px) {
    font-size: 4.2rem;
  }

  @media (max-width: 1023px) {
    font-size: 2.8rem;
  }
}

.c-banner-promo__text {
  font-weight: 700;
  position: relative;

  @media (min-width: 1024px) {
    font-size: 2.4rem;
    line-height: 2.9rem;
  }

  @media (max-width: 1023px) {
    font-size: 1.6rem;
    line-height: 2rem;
  }
}

.c-banner-promo__mentions {
  font-size: 1.2rem;
  line-height: 1.4rem;
  text-align: center;
  display: flex;
  flex-direction: column;
  gap: 1.6rem;

  a {
    color: var(--banner-promo);
    text-decoration: underline;
    font-weight: 700;

    &:hover {
      text-decoration: none;
    }
  }
}

.c-banner-promo__gift {
  width: max-content;
  position: absolute;
  left: calc(100% + 2.5rem);
  bottom: 0;

  svg path {
    fill: var(--banner-promo-gift-svg);
  }
}

.c-banner-promo__btn {
  position: relative;
}